Subject: Re: [PATCH v2] tcp: fix MSG_PEEK race check

From: Matthias Andree <[email-masked]>
Date: Tue, 19 May 2009 11:05:17 +0200

David Miller schrieb:

> Since I now understand your urg_hole code I'm going to apply your v2
> patch which takes care of the URG stuff.  I also buy the argument that
> perhaps we should get rid of the log message, but look at how it
> helped us find this kernel regression :-)

Hi,

...and this discovery is a reason to leave it in, and perhaps make sure
that the check code is properly linked (through comments for lack of better
means) to the actual data transfer functions.

Cheers
MA